const assert = require('assert');
const utils = require('j7/utils');
const bcutils = require('j7/bcutils');
const basewrap = require('./basewrap');
const factory = require('./factory');

const HERO_TYPE = 3;
const GUN_TYPE = 7;
const MATERIAL_TYPE = 10;
const BLIND_BOX_TYPE = 12;
const CHIP_TYPE = 13;

const MATERIAL_CHIP_SUBTYPE = 3;

class Item extends basewrap.BaseWrap {

  getNftType() {
    switch (this['type']) {
    case HERO_TYPE:
      {
        return bcutils.HERO_TYPE;
      }
      break;
    case GUN_TYPE:
      {
        return bcutils.EQUIP_TYPE;
      }
      break;
    case MATERIAL_TYPE:
      {
        if (this['sub_type'] == MATERIAL_CHIP_SUBTYPE) {
          return bcutils.CHIP_TYPE;
        } else {
          return bcutils.NONE_TYPE;
        }
      }
      break;
    case CHIP_TYPE:
      {
          return bcutils.CHIP_TYPE;
      }
      break;
    case BLIND_BOX_TYPE:
      {
        return bcutils.BLIND_BOX_TYPE;
      }
      break;
    default:
      {
        return bcutils.NONE_TYPE;
      }
      break;
    }
    return bcutils.NONE_TYPE;
  }

}

module.exports = Item;
